curl --request GET \
--url https://api.x.com/2/tweets/counts/all \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/tweets/counts/all"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/tweets/counts/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"end": "2023-11-07T05:31:56Z",
"start": "2023-11-07T05:31:56Z",
"tweet_count": 123
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
],
"meta": {
"newest_id": "<string>",
"next_token": "<string>",
"oldest_id": "<string>",
"total_tweet_count": 123
}
}{
"code": 123,
"message": "<string>"
}सभी पोस्ट्स की संख्या प्राप्त करें
पूर्ण अभिलेखागार से खोज क्वेरी से मेल खाने वाली पोस्ट्स की संख्या प्राप्त करता है।
प्राधिकरण
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
क्वेरी पैरामीटर
पोस्ट्स से मेल खाने के लिए एक क्वेरी/नियम/फ़िल्टर। अधिकतम क्वेरी लंबाई जानने के लिए https://t.co/rulelength देखें।
1 - 4096"(from:TwitterDev OR from:TwitterAPI) has:media -is:retweet"
YYYY-MM-DDTHH:mm:ssZ. सबसे पुराना UTC टाइमस्टैम्प, जिससे पोस्ट्स प्रदान की जाएंगी। टाइमस्टैम्प सेकंड-स्तरीय ग्रैन्युलैरिटी में है और समावेशी है (अर्थात 12:00:01 में मिनट का पहला सेकंड शामिल है)।
YYYY-MM-DDTHH:mm:ssZ. सबसे नया, सबसे हाल का UTC टाइमस्टैम्प, जिस तक पोस्ट्स प्रदान की जाएंगी। टाइमस्टैम्प सेकंड-स्तरीय ग्रैन्युलैरिटी में है और अपवर्जी है (अर्थात 12:00:01 में मिनट का पहला सेकंड शामिल नहीं है)।
निर्दिष्ट ID से बड़ी (अर्थात उससे अधिक हाल की) पोस्ट ID वाले परिणाम लौटाता है। इस Tweet का विशिष्ट पहचानकर्ता। इसे स्ट्रिंग के रूप में लौटाया जाता है, ताकि उन भाषाओं और टूल्स में जटिलताओं से बचा जा सके जो बड़े पूर्णांकों को संभाल नहीं सकते।
^[0-9]{1,19}$"1346889436626259968"
निर्दिष्ट ID से छोटी (अर्थात उससे पुरानी) पोस्ट ID वाले परिणाम लौटाता है। इस Tweet का विशिष्ट पहचानकर्ता। इसे स्ट्रिंग के रूप में लौटाया जाता है, ताकि उन भाषाओं और टूल्स में जटिलताओं से बचा जा सके जो बड़े पूर्णांकों को संभाल नहीं सकते।
^[0-9]{1,19}$"1346889436626259968"
यह पैरामीटर परिणामों का अगला 'पृष्ठ' प्राप्त करने के लिए उपयोग किया जाता है। इस पैरामीटर के साथ इस्तेमाल किया जाने वाला मान सीधे API द्वारा दिए गए रिस्पॉन्स से लिया जाता है और इसमें कोई बदलाव नहीं किया जाना चाहिए। एक base36 पेजिनेशन टोकन।
1यह पैरामीटर परिणामों का अगला 'पृष्ठ' प्राप्त करने के लिए उपयोग किया जाता है। इस पैरामीटर के साथ इस्तेमाल किया जाने वाला मान सीधे API द्वारा दिए गए रिस्पॉन्स से लिया जाता है और इसमें कोई बदलाव नहीं किया जाना चाहिए। एक base36 पेजिनेशन टोकन।
1खोज गणना परिणामों के लिए ग्रैन्युलैरिटी।
minute, hour, day प्रदर्शित करने के लिए SearchCount फ़ील्ड्स की अल्पविराम-से-अलग सूची। SearchCount ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।
1end, start, tweet_count ["end", "start", "tweet_count"]
प्रतिक्रिया
अनुरोध सफल रहा।
1Show child attributes
Show child attributes
1IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) में परिभाषित एक HTTP Problem Details ऑब्जेक्ट।
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
Show child attributes
Show child attributes